Bug 419861 - Confirm button should not be available if there are no errata available for Adding to the channel.
Confirm button should not be available if there are no errata available for A...
Status: CLOSED CURRENTRELEASE
Product: Red Hat Satellite 5
Classification: Red Hat
Component: WebUI (Show other bugs)
510
All Linux
high Severity high
: ---
: ---
Assigned To: Miroslav Suchý
Preethi Thomas
https://rlx-0-10.rhndev.redhat.com/rh...
:
Depends On:
Blocks: 248627
  Show dependency treegraph
 
Reported: 2007-12-11 10:14 EST by Preethi Thomas
Modified: 2008-04-02 20:23 EDT (History)
0 users

See Also:
Fixed In Version: sat510
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-04-02 20:23:48 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Add errata page (153.62 KB, image/png)
2007-12-11 10:15 EST, Preethi Thomas
no flags Details
AddErrataPage-confirm (182.20 KB, image/png)
2008-01-22 11:17 EST, Preethi Thomas
no flags Details

  None (edit)
Description Preethi Thomas 2007-12-11 10:14:16 EST
Description of problem:
Confirm button should not be available if there are no errata available for
Adding to the channel.

Version-Release number of selected component (if applicable):
rhn-satellite-5.1.0-28

How reproducible:

 always

Steps to Reproduce:
1. login to the satellite
2. create a custom channel
3. select Errata-> Add 
4. Select Add Red hat errata
5.  Note that the confirm button is available even though the  errata section
says " no errata found applicable"
6. Click confirm
7. the summery page is shown.
8. Click clone errata
9.  the message on top of the page shows "Succesfully added 0 Errata and 0
package(s) to channel pt-custom." 
  
Actual results:

Confirm button is available even when there is no errata to add.

Expected results:
Confirm button should not be available

Additional info:
Comment 1 Preethi Thomas 2007-12-11 10:15:04 EST
Created attachment 284171 [details]
Add errata page
Comment 5 Miroslav Suchý 2008-01-18 11:03:13 EST
Commited into trunk rev. 135867.
Comment 6 Miroslav Suchý 2008-01-21 04:48:05 EST
Vega-Push#12 Satellite-5.1.0-69 & proxy-5.1.0-21
Moving ON_QA
Comment 8 Preethi Thomas 2008-01-22 11:17:40 EST
Created attachment 292532 [details]
AddErrataPage-confirm
Comment 9 Miroslav Suchý 2008-01-23 10:19:40 EST
Commited fix to trunk rev. 136021
I fix page "Add Custom Errata" beside "Add Red Hat Errata" too.
Comment 11 Brandon Perkins 2008-04-02 20:23:48 EDT
5.1 Sat GA so Closed for Current Release.

Note You need to log in before you can comment on or make changes to this bug.